Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 160422 - Nautilus cannot access files or folders of an NTFS Windows XP share if their names contain spaces
Summary: Nautilus cannot access files or folders of an NTFS Windows XP share if their ...
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: nautilus
Version: 4
Hardware: x86_64
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Alexander Larsson
QA Contact:
URL:
Whiteboard:
: 161667 185371 (view as bug list)
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-06-15 01:21 UTC by Shane Feek
Modified: 2007-11-30 22:11 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2006-09-04 14:54:02 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
GNOME Bugzilla 309275 None None None Never

Description Shane Feek 2005-06-15 01:21:28 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux x86_64; en-US; rv:1.7.8) Gecko/20050524 Fedora/1.0.4-4 Firefox/1.0.4

Description of problem:
After using "Connect to Server" to connect to a Win XP share, in Nautilus if any file or folder names with spaces in them are double clicked the following message is generated:

The filename "Computer%20Manuals" indicates that this file is of type "folder". The contents of the file indicate that the file is of type "unknown". If you open this file, the file might present a security risk to your system.

Do not open the file unless you created the file yourself, or received the file from a trusted source. To open the file, rename the file to the correct extension for "unknown", then open the file normally. Alternatively, use the Open With menu to choose a specific application for the file. 

Also, if these files or folders are right clicked they simply disappear without any further error messages. 

All file and folder names without spaces work fine.

Version-Release number of selected component (if applicable):
nautilus-2.10.0-4

How reproducible:
Always

Steps to Reproduce:
1.Use "Connect to Server" under Places Menu in Gnome
2.Connect to a Win XP NTFS share
3.Once in Nautilus browsing the share, double click or right click any file or folder containing a space or %20
  

Actual Results:  The following error message results:

The filename "Computer%20Manuals" indicates that this file is of type "folder". The contents of the file indicate that the file is of type "unknown". If you open this file, the file might present a security risk to your system.

Do not open the file unless you created the file yourself, or received the file from a trusted source. To open the file, rename the file to the correct extension for "unknown", then open the file normally. Alternatively, use the Open With menu to choose a specific application for the file. 

Also, if these files or folders are right clicked they simply disappear without any further error messages. 

All file and folder names without spaces work fine.

Expected Results:  Access or open the file or folder.

Additional info:

Comment 1 renke 2005-08-16 15:18:44 UTC
I can confirm this error - with FC3 i386 the SMB-connection worked fine, with
FC4 x86_64 I am not abe to open directories and files with blanks and special
chars (e.g. German umlauts).

Comment 2 renke 2005-08-22 16:48:37 UTC
for your information - the bug (without answers or hints) is filed in the
gnome-bugzilla too

Comment 3 Roy 2005-08-22 17:09:11 UTC
Confirmed on my x86_64 AMD Turion notebook (Asus). Also filed a bug at Gnome
(the one renke was talking about), which can be found on
http://bugzilla.gnome.org/show_bug.cgi?id=309275 .

Comment 4 Kazimieras Vaina 2005-12-13 09:32:03 UTC
It seems that it is not a nautilus problem, but gnome-vfs issue.
I'm running fc4 on my x86_64 pc. I updated gnome-vfs2-2.12.2-1.1.fc4.nr.i386.rpm
   gnome-vfs2-devel-2.12.2-1.1.fc4.nr.x86_64.rpm
gnome-vfs2-2.12.2-1.1.fc4.nr.x86_64.rpm 
gnome-vfs2-smb-2.12.2-1.1.fc4.nr.x86_64.rpm packages from http://www.nrpms.net
repository and problem disappeared.

Comment 5 renke 2005-12-13 09:42:51 UTC
WFM, the problems seems to be resolved with the NRPM-packages.
This is a little bit awkward for me as I rebuild the x86_64-packages myself for
the NR-repo...

Thanks and greetings

Comment 6 Alexander Larsson 2006-09-04 14:54:02 UTC
Closing then.

Comment 7 Alexander Larsson 2006-09-04 15:01:43 UTC
*** Bug 161667 has been marked as a duplicate of this bug. ***

Comment 8 Alexander Larsson 2006-09-04 16:03:10 UTC
*** Bug 185371 has been marked as a duplicate of this bug. ***


Note You need to log in before you can comment on or make changes to this bug.